package com.fs.oms.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 网店对象 oms_store
 *
 * @author fs
 * @date 2023-05-18
 */
public class OmsStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long storeId;

    /** 类型 数据字典 1线上 2线下 */
    @Excel(name = "类型 数据字典 1线上 2线下")
    private Integer storeType;

    /** 店铺名称 */
    @Excel(name = "店铺名称")
    private String storeName;

    /** 店铺编码 */
    @Excel(name = "店铺编码")
    private String storeCode;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 渠道类型 数据字典 */
    @Excel(name = "渠道类型")
    private Integer channelType;

    /** 所属省市区 */
    @Excel(name = "所属省市区")
    private String cityIds;

    /** 详情地址 */
    @Excel(name = "详情地址")
    private String address;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkUsername;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String linkPhone;

    /** 仓库ID */
    //@Excel(name = "仓库ID")
    private Long warehouseId;

    public void setStoreId(Long storeId)
    {
        this.storeId = storeId;
    }

    public Long getStoreId()
    {
        return storeId;
    }
    public void setStoreType(Integer storeType)
    {
        this.storeType = storeType;
    }

    public Integer getStoreType()
    {
        return storeType;
    }
    public void setStoreName(String storeName)
    {
        this.storeName = storeName;
    }

    public String getStoreName()
    {
        return storeName;
    }
    public void setStoreCode(String storeCode)
    {
        this.storeCode = storeCode;
    }

    public String getStoreCode()
    {
        return storeCode;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setLimitTime(Date limitTime)
    {
        this.limitTime = limitTime;
    }

    public Date getLimitTime()
    {
        return limitTime;
    }
    public void setChannelType(Integer channelType)
    {
        this.channelType = channelType;
    }

    public Integer getChannelType()
    {
        return channelType;
    }
    public void setCityIds(String cityIds)
    {
        this.cityIds = cityIds;
    }

    public String getCityIds()
    {
        return cityIds;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setLinkUsername(String linkUsername)
    {
        this.linkUsername = linkUsername;
    }

    public String getLinkUsername()
    {
        return linkUsername;
    }
    public void setLinkPhone(String linkPhone)
    {
        this.linkPhone = linkPhone;
    }

    public String getLinkPhone()
    {
        return linkPhone;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("storeId", getStoreId())
            .append("storeType", getStoreType())
            .append("storeName", getStoreName())
            .append("storeCode", getStoreCode())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("limitTime", getLimitTime())
            .append("remark", getRemark())
            .append("channelType", getChannelType())
            .append("cityIds", getCityIds())
            .append("address", getAddress())
            .append("linkUsername", getLinkUsername())
            .append("linkPhone", getLinkPhone())
            .toString();
    }
}
